Bug 1317123 - Missing microseconds to the serialised form of DateTime objects
Missing microseconds to the serialised form of DateTime objects
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: php (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 01:56 EST by Remi Collet
Modified: 2017-11-02 06:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 67308 None None None 2016-03-12 01:57 EST

  None (edit)
Description Remi Collet 2016-03-12 01:56:06 EST
DateTime are not correctly serialized, resulting in a lost of precision.

This raise issue in some test suites

Ex: in php-pecl-pq

TEST 14/47 [tests/conv001.phpt]
========DIFF========
104+       string(19) "2016-03-11 00:00:00"
104-       string(26) "%d-%d-%d 00:00:00.000000"
115+       string(19) "2016-03-11 19:50:56"
115-       string(26) "%d-%d-%d %d:%d:%d.000000"
126+       string(19) "2016-03-11 18:50:56"
126-       string(26) "%d-%d-%d %d:%d:%d.000000"
137+       string(19) "2016-03-11 19:50:56"
137-       string(26) "%d-%d-%d %d:%d:%d.000000"
148+       string(19) "2016-03-11 00:00:00"
148-       string(26) "%d-%d-%d 00:00:00.000000"
159+       string(19) "2016-03-11 19:50:56"
159-       string(26) "%d-%d-%d %d:%d:%d.000000"
170+       string(19) "2016-03-11 18:50:56"
170-       string(26) "%d-%d-%d %d:%d:%d.000000"
181+       string(19) "2016-03-11 19:50:56"
181-       string(26) "%d-%d-%d %d:%d:%d.000000"
========DONE========
FAIL converter [tests/conv001.phpt]

Note You need to log in before you can comment on or make changes to this bug.